# Copyright 2016 Jochen Fabricius
# Distribution and modification is encouraged

# setup environment

lappend auto_path [pwd] [file join [pwd] lib]

# we need to load the esweep library here, the only way 
# to load them with Windows without breaking a leg
switch -glob -- $tcl_platform(os) {
  Windows* {
    lappend auto_path [pwd]
    set tail {dll}
  }
  OpenBSD -
  default {
    set tail so
  }
}

if {[info exists ::need_esweep]} {
  if {[catch {load libesweeptcl.$tail esweep}]} {
    tk_messageBox -message $::errorInfo -icon error -type ok
    exit 1
  }
}
# often used constants
set ::SQRT2 [expr {sqrt(2)}]
set ::PI [expr {2*acos(0)}]

# source common cmdbar commands
source [file join [pwd] lib debug.tcl]
source [file join [pwd] lib func.tcl]
source [file join [pwd] lib common.tcl]
source [file join [pwd] lib common_math.tcl]

